import { z } from "zod";

export const schema = z.object({
  part1: z.object({
    requestorNatRegNR: z.string(),
    requestorLastName: z.string(),
    requestorFirstName: z.string(),
    requestorBirthDate: z.string(),
    requestorBirthName: z.string(),
    requestorBirthPlace: z.string(),
    requestorNationality: z.string(),
    requestorGender: z.string(),
    requestorStreetName: z.string(),
    requestorHouseNumber: z.string(),
    requestorBoxNumber: z.string(),
    requestorPostcode: z.string(),
    requestorCity: z.string(),
    requestorCountry: z.string(),
    requestorEmail: z.string(),
    requestorPhoneNumber: z.string(),
    requestorGenderCode: z.string(),
  }),
  part2: z.object({
    personRegisterOtherN: z.string(),
    personDifferentStayN: z.string(),
  }),
  part3: z.object({
    selfCompanyNumber: z.string(),
    selfCompanyName: z.string(),
    selfStreetName: z.string(),
    selfHouseNumber: z.string(),
    selfBoxNumber: z.string(),
    selfPostcode: z.string(),
    selfCity: z.string(),
    selfCountry: z.string(),
  }),
  part4: z.object({ Q1: z.string(), Q1_selfEmployedY: z.string() }),
  part5: z.object({
    activityStartDate: z.string(),
    activityEndDate: z.string(),
    activityNature: z.string(),
    activityDescription: z.string(),
    activityCountry: z.string(),
  }),
  part6: z.object({ dataProcessingConsent: z.string() }),
  part7: z.object({ declarationOfHonor: z.string() }),
});
